summaryrefslogtreecommitdiffstats
path: root/ubuntu/_base/tdelibs/debian/prune-nonfree
diff options
context:
space:
mode:
authorMichele Calgaro <michele.calgaro@yahoo.it>2019-04-03 23:02:46 +0900
committerMichele Calgaro <michele.calgaro@yahoo.it>2019-04-03 23:02:46 +0900
commitfcad8b8d150fb9f508973e3044a103de74ec3877 (patch)
treeca34a8cf3bfbe08335d40c47863b4901e1d19609 /ubuntu/_base/tdelibs/debian/prune-nonfree
parent5d8ed1fab813d86b04383f7fcf8ab2c994cbea30 (diff)
downloadtde-packaging-fcad8b8d150fb9f508973e3044a103de74ec3877.tar.gz
tde-packaging-fcad8b8d150fb9f508973e3044a103de74ec3877.zip
DEB: use _base folder for a distro instead of specific distros (squeeze and maverick).
Signed-off-by: Michele Calgaro <michele.calgaro@yahoo.it>
Diffstat (limited to 'ubuntu/_base/tdelibs/debian/prune-nonfree')
-rw-r--r--ubuntu/_base/tdelibs/debian/prune-nonfree15
1 files changed, 15 insertions, 0 deletions
diff --git a/ubuntu/_base/tdelibs/debian/prune-nonfree b/ubuntu/_base/tdelibs/debian/prune-nonfree
new file mode 100644
index 000000000..c6121e836
--- /dev/null
+++ b/ubuntu/_base/tdelibs/debian/prune-nonfree
@@ -0,0 +1,15 @@
+#!/bin/sh -e
+
+# Removes non-free files from the source tree. Must be done before
+# creating the orig.tar.gz.
+
+TOPLEVEL="$1"
+
+if [ "$TOPLEVEL" = "" ]; then
+ echo "Please provide the toplevel directory as the argument."
+ exit 1
+else
+ rm -f $TOPLEVEL/tdeioslave/http/kcookiejar/rfc*
+fi
+
+exit 0